#
# spec file for package python-pypsexec
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-pypsexec
Version:        0.3.0
Release:        3.4
Summary:        Run commands on a remote Windows host using SMB/RPC
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/jborean93/pypsexec
Source:         https://github.com/jborean93/pypsexec/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM https://github.com/jborean93/pypsexec/pull/58 adapt to timezone-aware objects
Patch:          datetime.patch
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module smbprotocol}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-smbprotocol
BuildArch:      noarch
%python_subpackages

%description
This library can run commands on a remote Windows host through Python.
This means that it can be run on any host with Python and does not
require any binaries to be present or a specific OS. It uses SMB/RPC to
executable commands in a similar fashion to the popular PsExec tool.

%prep
%autosetup -p1 -n pypsexec-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%doc CHANGELOG.md README.md
%{python_sitelib}/pypsexec
%{python_sitelib}/pypsexec-%{version}*info

%changelog
* Tue Mar 26 2024 Markéta Machová <mmachova@suse.com>
- Add patch datetime.patch to fix tests on Python 3.12
* Mon Dec 12 2022 pgajdos@suse.com
- six is not required
* Mon Oct 25 2021 Martin Hauke <mardnh@gmx.de>
- Update to version 0.3.0
  * Dropped Python 2.7 and 3.5, new minimum is 3.6
  * Updated the PAExec executable to 1.29
* Mon Dec 14 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 0.2.0
  * Breaking change where processes are run as the native
    architecture bitness, e.g. 64-bit on 64-bit OS' and 32-bit on
    32-bit OS'
    This changes the old behaviour of always running as a 32-bit
    process. Any application relying on running with 32-bit paths
    will need to set wow64=True on run_executable() to restore the
    older behaviour.
  * Dropped support for Python 2.6 and Python 3.4.
  * Updated the PAExec executable to 1.27.
  * Handle non-ASCII characters when enumerating the services on
    the remote host.
* Thu Sep  6 2018 mardnh@gmx.de
- Initial package, version 0.1.0
